Author Topic: Tasklist plugin throwing errors  (Read 805 times)

Offline Jools

  • Jr. Member
  • **
  • Posts: 19
Tasklist plugin throwing errors
« on: July 11, 2018, 06:36:36 AM »
Hi All,

I've just clean installed 1.3.6 on Ubuntu 18, with PHP 7.2, Postgresql 10 and have installed the calendaring and tasklist plugins.  The calendar works fine but when accessing the tasklist,  roundcube  is throwing out the following into the error log::

  [11-Jul-2018 11:29:27 +0100]: <pqqqv49e> PHP Error: Failed to load plugin file /var/www/html/roundcube/plugins/libkolab/libkolab.php in /var/www/html/roundcube/program/lib/Roundcube/rcube_plugin_api.php on line 173 (POST /?_task=mail&_action=refresh)
[11-Jul-2018 11:29:27 Europe/London] PHP Fatal error:  Uncaught Error: Class 'kolab_storage' not found in /var/www/html/roundcube/plugins/tasklist/drivers/kolab/tasklist_kolab_driver.php:52
Stack trace:
#0 /var/www/html/roundcube/plugins/tasklist/tasklist.php(198): tasklist_kolab_driver->__construct(Object(tasklist))
#1 /var/www/html/roundcube/plugins/tasklist/tasklist.php(2544): tasklist->load_driver()
#2 /var/www/html/roundcube/plugins/tasklist/tasklist.php(185): tasklist->__get('driver')
#3 /var/www/html/roundcube/plugins/tasklist/tasklist.php(1525): tasklist->load_driver()
#4 /var/www/html/roundcube/program/lib/Roundcube/rcube_plugin_api.php(440): tasklist->pending_alarms(Array)
#5 /var/www/html/roundcube/plugins/libcalendaring/libcalendaring.php(698): rcube_plugin_api->exec_hook('pending_alarms', Array)
#6 /var/www/html/roundcube/program/lib/Roundcube/rcube_plugin_api.php(440): libcalendaring->refresh(Array)
#7 /var/www/html/roundcube/program/steps/mail/check_recent.inc(155): rcube_plugin_api->exec_hook('refresh', Array)
#8 /var/www/html/roundcube/index.php( in /var/www/html/roundcube/plugins/tasklist/drivers/kolab/tasklist_kolab_driver.php on line 52

Any ideas?  I've spent a few hours but can't seem to find the solution.

Thanks,

Jools

Offline alec

  • Hero Member
  • *****
  • Posts: 1,137
Re: Tasklist plugin throwing errors
« Reply #1 on: July 11, 2018, 09:07:32 AM »
Check plugin's dependencies. It looks like you need also libkolab plugin.